Package edu.msu.cme.rdp.classifier.train.validation.movingwindow

# Class WindowTester

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.movingwindow.WindowTester

public class WindowTester extends Object

## Constructor Summary

Constructors
Constructor
Description
`WindowTester(Writer writer)`
Creates new Tester

## Method Summary

Modifier and Type
Method
Description
`void`
`classify(TreeFactory factory, ArrayList seqList, Window window, int windowIndex, int min_bootstrap_words)`
classify each sequence from a parser
`void`
`displayTreeErrorRate(HierarchyTree root, int indent)`
search the tree node that the current test getSequence() belongs to

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WindowTester

public WindowTester(Writer writer) throws IOException
Creates new Tester

Throws:
  `IOException`

## Method Details

### classify

public void classify(TreeFactory factory, ArrayList seqList, Window window, int windowIndex, int min_bootstrap_words) throws IOException
classify each sequence from a parser

Throws:
  `IOException`

### displayTreeErrorRate

public void displayTreeErrorRate(HierarchyTree root, int indent) throws IOException
search the tree node that the current test getSequence() belongs to

Throws:
  `IOException`